/*
 * FechaOtroCampoMenorOtraFechaDependiente.java
 *
 * Created on 23 de marzo de 2007, 08:05 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author jsolano
 */
public class FechaOtroCampoMenorOtraFechaDependiente extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaOtroCampoMenorOtraFechaDependiente() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String FechaColumna11 = registro[new Integer(
					(String) getParams()[2]).intValue()];
			if (!ValidarFecha.esFecha(FechaColumna11))
				return false;

			String FechaOtra = (String) getParams()[3];
			Date dateCampo = null;
			Date dateOtra = null;
			try {
				dateCampo = sdf.parse(FechaColumna11);
				dateOtra = sdf.parse(FechaOtra);
			} catch (Exception e) {
				return false;
			}

			if (dateOtra.after(dateCampo)) {
				return true;
			}

			return false;

		}
		return false;
	}

}
